summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStanislav Ochotnicky <sochotnicky@redhat.com>2014-01-20 16:00:03 +0100
committerStanislav Ochotnicky <sochotnicky@redhat.com>2014-01-20 16:00:03 +0100
commitcca6453013891d0f16ce8005b76f3030de1ad34e (patch)
tree282cac44737883bcc1aad9dc4b640316a1341a7f /dev-python/bugzilla/bugzilla-0.9.0-r1.ebuild
parentAdd repo_name (diff)
downloadsochotnicky-cca6453013891d0f16ce8005b76f3030de1ad34e.tar.gz
sochotnicky-cca6453013891d0f16ce8005b76f3030de1ad34e.tar.bz2
sochotnicky-cca6453013891d0f16ce8005b76f3030de1ad34e.zip
Add dev-python/bugzilla
Package-Manager: portage-2.2.7 Manifest-Sign-Key: 7B087241
Diffstat (limited to 'dev-python/bugzilla/bugzilla-0.9.0-r1.ebuild')
-rw-r--r--dev-python/bugzilla/bugzilla-0.9.0-r1.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/bugzilla/bugzilla-0.9.0-r1.ebuild b/dev-python/bugzilla/bugzilla-0.9.0-r1.ebuild
new file mode 100644
index 0000000..b75a39c
--- /dev/null
+++ b/dev-python/bugzilla/bugzilla-0.9.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+PYTHON_COMPAT=( python2_{6,7} )
+
+inherit distutils-r1
+
+MY_PN="python-bugzilla"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python library and tool for interacting with Bugzilla"
+HOMEPAGE="https://fedorahosted.org/python-bugzilla"
+SRC_URI="https://fedorahosted.org/releases/${MY_PN:0:1}/${MY_PN:1:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="attachments test"
+
+RDEPEND="
+ dev-python/pycurl[$PYTHON_USEDEP]
+ attachments? ( sys-apps/file[python] )"
+
+DEPEND="dev-python/setuptools"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( bz-api-notes.txt README HACKING )
+
+python_test() {
+ "${PYTHON}" setup.py test || die "Testuite failed with ${EPYTHON}"
+}